curl --request GET \
--url 'https://api.coinstats.app/v1/nft/collection/0xbc4ca0eda7647a8ab7c2061c2e118a18a936f13d/owners' \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.coinstats.app/v1/nft/collection/0xbc4ca0eda7647a8ab7c2061c2e118a18a936f13d/owners"
headers = {"X-API-KEY": "<api-key>"}
response = requests.request("GET", url, headers=headers)
print(response.json())const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.coinstats.app/v1/nft/collection/0xbc4ca0eda7647a8ab7c2061c2e118a18a936f13d/owners', options)
.then((response) => response.json())
.then((response) => console.log(response))
.catch((err) => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coinstats.app/v1/nft/collection/0xbc4ca0eda7647a8ab7c2061c2e118a18a936f13d/owners",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.coinstats.app/v1/nft/collection/0xbc4ca0eda7647a8ab7c2061c2e118a18a936f13d/owners"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.coinstats.app/v1/nft/collection/0xbc4ca0eda7647a8ab7c2061c2e118a18a936f13d/owners")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coinstats.app/v1/nft/collection/{collectionAddress}/owners")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"address": "0x46efbaedc92067e6d60e84ed6395099723252496",
"tokenCount": 3
}
],
"meta": {
"page": 2,
"limit": 20,
"itemCount": 150,
"pageCount": 8,
"hasPreviousPage": true,
"hasNextPage": true
},
"ownersCount": 5616,
"truncated": false
}{
"statusCode": 400,
"message": "Bad Request",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 401,
"message": "Unauthorized",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 403,
"message": "Forbidden",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 404,
"message": "Not Found",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 409,
"message": "Transactions not synced",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 429,
"message": "Rate limit exceeded",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 503,
"message": "Service Unavailable. Please Contact Support"
}Get NFT Collection Owners
Get the holders of an NFT collection, largest first.
curl --request GET \
--url 'https://api.coinstats.app/v1/nft/collection/0xbc4ca0eda7647a8ab7c2061c2e118a18a936f13d/owners' \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.coinstats.app/v1/nft/collection/0xbc4ca0eda7647a8ab7c2061c2e118a18a936f13d/owners"
headers = {"X-API-KEY": "<api-key>"}
response = requests.request("GET", url, headers=headers)
print(response.json())const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.coinstats.app/v1/nft/collection/0xbc4ca0eda7647a8ab7c2061c2e118a18a936f13d/owners', options)
.then((response) => response.json())
.then((response) => console.log(response))
.catch((err) => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coinstats.app/v1/nft/collection/0xbc4ca0eda7647a8ab7c2061c2e118a18a936f13d/owners",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.coinstats.app/v1/nft/collection/0xbc4ca0eda7647a8ab7c2061c2e118a18a936f13d/owners"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.coinstats.app/v1/nft/collection/0xbc4ca0eda7647a8ab7c2061c2e118a18a936f13d/owners")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coinstats.app/v1/nft/collection/{collectionAddress}/owners")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"address": "0x46efbaedc92067e6d60e84ed6395099723252496",
"tokenCount": 3
}
],
"meta": {
"page": 2,
"limit": 20,
"itemCount": 150,
"pageCount": 8,
"hasPreviousPage": true,
"hasNextPage": true
},
"ownersCount": 5616,
"truncated": false
}{
"statusCode": 400,
"message": "Bad Request",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 401,
"message": "Unauthorized",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 403,
"message": "Forbidden",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 404,
"message": "Not Found",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 409,
"message": "Transactions not synced",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 429,
"message": "Rate limit exceeded",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 503,
"message": "Service Unavailable. Please Contact Support"
}You will get
You will get
- Holder addresses with token counts
- Total holder count
Required
Required
- collectionAddress: Path parameter. NFT collection contract address.
Optional
Optional
- blockchain: Chain the collection lives on. Defaults to ethereum.
- page & limit: Control pagination; limit is capped at 100.
Authorizations
API key required to access the endpoints. Generate one from your dashboard at https://openapi.coinstats.app and pass it in the X-API-KEY request header. Never expose your key in client-side code.
Path Parameters
The address of the NFT collection
"0xbc4ca0eda7647a8ab7c2061c2e118a18a936f13d"
Query Parameters
Page number to retrieve (1-based indexing)
1
Number of NFT items to return per page
20
The blockchain network identifier from /wallet/blockchains call response (its chain field). NFT data is available on: ethereum, polygon-pos, base, arbitrum-one, optimistic-ethereum, zksync, blast, linea, scroll, zora, abstract, apechain, avalanche, binance_smart, unichain, soneium, berachain, world-chain, celo, xdai, monad. Defaults to ethereum.
ethereum, polygon-pos, base, arbitrum-one, optimistic-ethereum, zksync, blast, linea, scroll, zora, abstract, apechain, avalanche, binance_smart, unichain, soneium, berachain, world-chain, celo, xdai, monad "ethereum"
Response
Was this page helpful?